/*
Use: CREATE API PROVIDER USE API CALLING getApi, postApi
*/

import 'package:dio_helper_flutter/dio_helper.dart';

class ApiProvider {
  final DioHelper _dioHelper;

  ApiProvider(this._dioHelper);

  //GET API CALLING
  void getApi(String baseUrl,
      {Map<String, dynamic>? queryParameters,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _dioHelper.request(baseUrl,
        queryParameter: queryParameters,
        dioMethod: DioMethod.post,
        success: success,
        error: error);
  }

  //POST API CALLING
  void postApi(String baseUrl,
      {Map<String, dynamic>? queryParameters,
      dynamic data,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _dioHelper.request(baseUrl,
        data: data,
        queryParameter: queryParameters,
        dioMethod: DioMethod.post,
        success: success,
        error: error);
  }
}
