import 'package:dio_helper_flutter/dio_helper.dart';
import 'api_provider.dart';

class ApiRepository implements ApiProvider {
  final ApiProvider _apiProvider;

  ApiRepository(this._apiProvider);

  @override
  void getApi(String baseUrl,
      {Map<String, dynamic>? queryParameters,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _apiProvider.getApi(baseUrl,
        queryParameters: queryParameters, success: success, error: error);
  }

  @override
  void postApi(String baseUrl,
      {dynamic data,
      Map<String, dynamic>? queryParameters,
      required HttpSuccessCallback success,
      required HttpFailureCallback error}) {
    _apiProvider.postApi(baseUrl,
        queryParameters: queryParameters,
        data: data,
        success: success,
        error: error);
  }
}
